* Fri Jul 18 2014 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.12
- hb_report: add -Q option for quick runs
- hb_report: dot is not illegal in file names (bnc#884079, deb#715391)
- build: update spec files for systemd
- hb_report: update interface to zypper
- hb_report: support logs with varied timestamps
- stonith: external/vcenter: add parameter for SSL hostname
  verification (bnc#851990)
- hb_report: fix ssh passwords again (bnc#867365)
- hb_report: Don't use deprecated corosync-fplay (bnc#870913)
- logd: Add systemd unit file for logd (bnc#863248)
- hb_report: Add support for xz compression (bnc#854060)

* Thu Sep 26 2013 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- release candidate 1.0.12-rc1
- clplumbing: increase listen backlog to 128
- hb_report: add -X option for extra ssh options
- hb_report: add support for the rfc5424 syslog date format
- stonith: external/libvirt: fix exit code in reset
- stonith: external/vcenter: do not list vms in status
  (bnc#825765)
- stonith: fix memory leak in external.c
- hb_report: enable ssh to prompt for passwords (bnc#808373)
- hb_report: collect RA trace files
- hb_report: look for nodes in the archived CIB if pacemaker is
  not running
- sbd plugin now lives at http://hg.linux-ha.org/sbd/
- stonith: if debug's not set, do not send debug messages to the
  logger (bnc#792124)
- stonith: log status message at the debug level (bnc#792124)
- stonith: don't always log debug level messages (bnc#792124)
- stonith: external/vcenter: fix gethosts to produce list of
  nodes not vms (bnc#792704)

* Mon Oct 15 2012 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.11
- lrmd: set max-children depending on the number of processors
- lrmd: don't send parameters from ops back to crmd
- stonith: external/libvirt: support for reboot reset method
- hb_report: node's type got optional
- hb_report: make use of bash trace features
- hb_report: compatibility code for pacemaker v1.1.8
- build: link libstonith with stonith2 agents

* Mon Jul 16 2012 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.10
- clplumbing: ipc: fix message size checks (bnc#752231)
- clplumbing: load bz2 compression module by default
- clplumbing: cl_msg: try compressing message before rejecting it
  as too big
- clplumbing: cl_msg: don't use traditional compression by default
- clplumbing: cl_msg: increase compression threshold
- clplumbing: fix memleak for Gmain_timeout
- LRM: lrmd: add basic authentication (lf#2547)
- LRM: lrmd: use the resource timeout as an override to the
  default dbus timeout for upstart RA
- LRM: lrmd: if set, get max-children from the LRMD_MAX_CHILDREN
  environment var
- stonith: add CRM stonith resource name to log messages (bnc#728579)
- stonith: adjust timeouts in the meta-data template (bnc#733337)
- stonith: external/vcenter: return list of configured hosts on
  gethosts
- stonith: external/libvirt: add more search strings for domain
  start and stop
- stonith: rhcs: pass the action via stdin too
- stonith: rhcs: avoid false error if parameter isn't set
- logd: remove runlevel 4 from the LSB info section in the logd
  init script (bnc#744120)
- logd: add try-restart action to the logd init script
- sbd: Use async IO for disk reads to increase resilience against
  hung IO (bnc#738295)
- sbd: Handle IO errors during slot allocation properly (bnc#753559)
- sbd: Debug mode added (bnc#753559, bnc#738295)
- hb_report: improve performance
- hb_report: get corosync blackbox records if available
- hb_report: add node time information

* Mon Nov 28 2011 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.9
- stonith: external/ipmi: add missing double quote
- stonith: external/ipmi: add the priv parameter (ipmitool -L)
- LRM: lrmd: set op status to cancelled for running monitor operations
- ha_log: increase MAXENTITY size to accommodate long stonith strings
- hb_report: improve destination directory handling (bnc#727295)
* Tue Oct 18 2011 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.8
- cl_log: log spamming control
- LRM: raexecocf: list resource agents properly (bnc#664409)
- LRM: lrmd: allow storing parameters in local files (lf#2415)
- LRM: lrmd: limit number of "stayed too long in operation list"
  log messages (bnc#636576)
- stonith: external/libvirt: new plugin for libvirt virtualization technologies
- stonith: external/vcenter: new plugin
- stonith: external/hetzner: new plugin
- stonith: sbd: support for multiple devices
- stonith: sbd: Fix timeout setting on archs where int != long (bnc#635690)
- stonith: sbd: abort start if watchdog cannot be initialized (bnc#680109)
- stonith: sbd: Make failing to set the watchdog timeout non-fatal but annoying
- stonith: sbd: Make the restart interval for servants configurable
- stonith: sbd: Maximize scheduler and IO priority in the child processes (bnc#702907)
- stonith: external/sbd: Fix ordering of arguments in reset
- stonith: external/ipmi: fix unique parameters' attributes
- stonith: external/rackpdu: split off assignment from local to
  make it work with non-bash shells
- stonith: external: avoid false error if parameter isn't set (bnc#646205)
- hb_report: add .info files with the last byte pos for all logs
- hb_report: use sudo for remove collectors if connecting with
  user other than root
- hb_report: install debuginfo packages on platforms with zypper (bnc#641979)
- hb_report: improve detecting ssh user

* Tue Nov 30 2010 Dejan Muhamedagic <dejan@suse.de>, Lars Ellenberg <lars.ellenberg@linbit.com>, and many others
- stable release 1.0.7
- clplumbing: ipc: adjust socket buffers size when adjusting ipc queue length
- logd: add a SIGHUP signal handler to timely close/open log files
- logd: use buffered io with fflush and fsync
- logd: reopen logfiles on inode change (logrotate)
- clplumbing: cl_log: keep logfiles open, but default to non-buffered io (lf#2470)
- clplumbing: cl_log: add new optional common syslog message prefix
- stonith: use ST_DEVICEID for the short description in meta-data
- stonith: external: interpret properly exit codes from external stonith
  plugins (bnc#630357)
- stonith: external: avoid false out of memory error if a parameter isn't set (bnc#646205)
- stonith: external: check if PATH already contains GLUE_SHARED_DIR
  (memory leak, lf#2484)
- stonith(8): reduce the number of stonith plugin invocations (bnc#630357)
- stonith(8): use cl_log for logging if invoked by stonithd (pcmk 1.1)
- stonith: external/sbd: make sbd use realtime priority for IO (works only with CFQ)
- stonith: cyclades: add the serial_port parameter to the meta-data
- stonith: external/riloe: add support for http proxies
- stonith: external/ipmi: provide opt param "passwd_method" to hide
  the ipmi password from config and logs
- stonith: external/nut: support for the Network UPS Tools
- stonith: external/rackpdu: remove displaced local command
- stonith: rcd_serial: rename dtr|rts parameter to dtr_rts
- configure: test for POSIX signals (fixes rcd_serial)

* Fri Jul  9 2010 Dejan Muhamedagic <dejan@suse.de>
- stable release 1.0.6
- clplumbing: Add identity info of the user on the other side of socket
- ha_logger: log strings longer than 1024
- lrmd: remove operation history on client unregister (lf#2161)
- lrmd: don't allow cancelled operations to get back to the repeating op list (lf#2417)
- lrmd: exclude stonith resources from child count (bnc#612387)
- lrmd,clientlib: asynchronous resource delete notification (lf#2439)
- stonith: add -V (version) to stonith
- stonith: add -E option to get the configuration from the environment
- stonith: ha_log: feed the message to stdout and not on command line
- stonith: external/sbd,xen0: fix wrong reference from ha_log to ha_log.sh (deb#585120)
- stonith: external/sbd: reduce monitoring
- stonith: external/rackpdu: check the snmpset and snmpwalk exit codes
- hb_report: create cib.txt after sanitizing the CIB (lf#2415)

* Mon Apr 15 2010 Dejan Muhamedagic <dejan@suse.de>
- stable release 1.0.5
- clplumbing: revert changeset 81ad41d14f72 which breaks the ABI

* Mon Apr 12 2010 Dejan Muhamedagic <dejan@suse.de>
- stable release 1.0.4
- clplumbing: fix memory leak in cl_msg/lrmd (lf#1841,2389)
- clplumbing: Add identity info of the user on the other side of socket
- clplumbing: Fix erroneous "Stack hogger failed 0xffffffff" warnings
- lrmd: fix possible null pointer dereference
- lrmd: raise severity from debug to info for some log messages
- lrmd: on shutdown exit once all operations finished (lf#2340)
- lrmd: don't add the cancel option in flush to the running operations (bnc#578644)
- lrmd: check if tables exist before free_str_table and prevent 
  segfault (bnc#587887)
- stonith: new external/ippower9258 plugin
- stonith: external/sbd: fix status operation
- stonith: external/sbd: add support for heartbeat
- stonith: external/ibmrsa-telnet: fix ha_log.sh invocation
- stonith: external/ibmrsa-telnet: fix expect regex
- stonith: external/ipmi: make reset work when the node is off
- stonith: external/riloe: log error message on unrecognized power method
- hb_report: don't create dot files if there are more than 20 PE files
- hb_report: make dot and png files for PE inputs (if there are
  not too many)
- hb_report: do not filter CIB/PE files by default (use -s to
  force filtering)
- hb_report: add -Z option to force destination directory cleanup
- hb_report: allow for default destination
- hb_report: when creating cts reports get information from the log
- hb_report: new option -d to keep the directory
- hb_report: don't give up early when creating backtraces (lf#2350)

* Tue Feb 02 2010 Dejan Muhamedagic <dejan@suse.de>
- bugfix release 1.0.3
- lrmd: don't flush operations which don't belong to the requesting client (lf#2161)

* Mon Feb 01 2010 Dejan Muhamedagic <dejan@suse.de> and MANY others
- stable release 1.0.2
- clplumbing: fix a potential resource leak in cl_random (bnc#525393)
- clplumbing: change the default log format to syslog format
- lrmd: log outcome of monitor once an hour
- lrmd: lookup clients by name (lf#2161)
- lrmd: remove operation history on client unregister (lf#2161)
- lrmd: fix return code on LSB class RA exec failure (lf#2194)
- lrmd: close the logd fd too when executing agents (lf#2267)
- lrmd: restore reset scheduler for children (bnc#551971,lf#2296)
- lrmd: reset scheduler and priority for children (resource operations)
- lrmadmin: fix -E option
- lrmadmin moved to the sbindir
- stonith: support for RHCS fence agents
- stonith: external/dracmc-telnet: stonith plugin for Dell 
  Drac/MC Blade Enclosure and Cyclades terminal server
- stonith: sbd plugin
- stonith: apcmastersnmp plugin (bnc#518689)
- stonith: bladehpi plugin (bnc#510299)
- stonith: WTS MPC: new SNMP based plugin
- stonith: meatclient: add -w option to wait until we can connect
- stonith: add -m option to stonith(8) to display metadata (lf#2279)
- stonith: external: log using ha_log.sh (lf#2294,1971)
- stonith: external: log output of plugins (bnc#548699,bnc#553340)
- stonith: external: log messages immediately on manage and status calls
- stonith: external: remove dependency on .ocf-shellfuncs (lf#2249)
- stonith: external/riloe: make sure that host is turned on after power
  off/on reset (lf#2282)
- stonith: external/riloe: fix check for ilo_can_reset
- stonith: external/riloe: workaround for the iLO double close in RIBCL (bnc#553340)
- stonith: external/ipmi: add explanation on reset and power off (LF 2071)
- stonith: external/ibmrsa-telnet: add support for later RSA cards
- stonith: cyclades: fix for support for newer PM10 firmware (lf#1938)
- stonith: wti_nps: add support for internet power switch model (bnc#539912)
- stonith: wti_mpc: support for MIB versions 1 and 3
- stonith: external/sbd: fix definition of sector_size for s390x (bnc#542827)
- stonith: external/sbd: make nodename comparison case insensitive (bnc#534445)
- stonith: external/sbd: describe "dump" command in help (bnc#529575)
- stonith: external/sbd: Accept -h (bnc#529574)
- stonith: external/xen0: add run_dump parameter to dump core before resetting a node
- hb_report: add man page hb_report.8
- hb_report: add -V (version) option
- hb_report: add support for corosync
- hb_report: add -v option (debugging)
- hb_report: options -C and -D are obsoleted
- hb_report: combine log/events if there is no loghost
- hb_report: extract important events from the logs
- logd: add init script
- rpm spec: start logd by default
- doc: new README for wti_mpc
- doc: move stonith README files to the doc directory
- doc: convert man pages to xml
- build: /usr/share/heartbeat replaced by /usr/share/cluster-glue
- build: enable IPMI and hpi support
- build: include time.h in ipcsocket.c and proctrack.c (lf#2263)
- build: output documentation directory from configure (lf#2276)

* Thu Oct 23 2008 Lars Marowsky-Bree <lmb@suse.de> and MANY others
- beta release 2.99.2
- stonith: external/kdumpcheck: new plugin
- stonith: external/drac5: new plugin
- stonith: drac3: initialize curl properly and workaround xml parsing problem (lf#1730)
- stonith external/riloe: a new implementation for HP iLO devices

* Tue Sep 23 2008 Lars Marowsky-Bree <lmb@suse.de> and MANY others
- beta release 2.99.1
- stonith: bladehpi: fix a mix of a threaded library and not threaded stonithd (bnc#389344)
- stonith: external/riloe: fix check for ilo_can_reset

* Tue Aug 19 2008 Andrew Beekhof <abeekhof@suse.de> and MANY others
- beta release 2.99.0
